Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Interface ContainerObject

All Known Implementing Classes:
  ContainerObjectImpl

public interface ContainerObject

Implemented by classes that provide server-side containers for components.

Since:
  JDevloper 3.0
See Also:
  `ComponentObject`

Method Summary
`void` | `addContainerListener(ContainerObjectListener listener)` Subscribes a listener for container object events.
`ComponentObject` | `createComponentObject(java.lang.String compName, java.lang.String CompDefName)` Create a component Object from the container
`ComponentObject` | `findComponentObject(java.lang.String compName)` Find a component Object from the container
`void` | `removeContainerListener(ContainerObjectListener listener)` Unsubscribes a listener for container object events.

Method Detail

### addContainerListener

    public void addContainerListener(ContainerObjectListener listener)

  Subscribes a listener for container object events.
  Parameters:
    `listener` - an event handler for container events.
  See Also:
    `ContainerObjectEvent`

### removeContainerListener

    public void removeContainerListener(ContainerObjectListener listener)

  Unsubscribes a listener for container object events.
  Parameters:
    `listener` - an event handler for container events.
  See Also:
    `ContainerObjectEvent`

### findComponentObject

    public ComponentObject findComponentObject(java.lang.String compName)

  Find a component Object from the container
  Parameters:
    `CompName` - name of the component
  Returns:
    Component Object

### createComponentObject

    public ComponentObject createComponentObject(java.lang.String compName,
                                                 java.lang.String CompDefName)

  Create a component Object from the container
  Parameters:
    `CompName` - name of the component
    `CompDefName` - name of the definition Object
  Returns:
    Component Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD